rtl_tcp_source_f.h File Reference
`#include <gnuradio/sync_block.h>`
`#include <gnuradio/thread/thread.h>`
`#include <netdb.h>`
`#include <sys/types.h>`
`#include <sys/socket.h>`
`#include <netinet/in.h>`
`#include <netinet/tcp.h>`
`#include <arpa/inet.h>`
Include dependency graph for rtl_tcp_source_f.h:

Go to the source code of this file.

## Classes

class | rtl_tcp_source_f

## Typedefs

typedef void * | optval_t

## Enumerations

enum | rtlsdr_tuner { RTLSDR_TUNER_UNKNOWN = 0 , RTLSDR_TUNER_E4000 , RTLSDR_TUNER_FC0012 , RTLSDR_TUNER_FC0013 , RTLSDR_TUNER_FC2580 , RTLSDR_TUNER_R820T , RTLSDR_TUNER_R828D }

## Functions

rtl_tcp_source_f_sptr | make_rtl_tcp_source_f (size_t itemsize, const char *host, unsigned short port, int payload_size, bool eof=false, bool wait=false)

## Typedef Documentation

## optval_t

typedef void* optval_t

## Enumeration Type Documentation

## rtlsdr_tuner

enum rtlsdr_tuner

Enumerator
RTLSDR_TUNER_UNKNOWN |
RTLSDR_TUNER_E4000 |
RTLSDR_TUNER_FC0012 |
RTLSDR_TUNER_FC0013 |
RTLSDR_TUNER_FC2580 |
RTLSDR_TUNER_R820T |
RTLSDR_TUNER_R828D |

## Function Documentation

## make_rtl_tcp_source_f()

rtl_tcp_source_f_sptr make_rtl_tcp_source_f | ( | size_t | itemsize,
|  | const char * | host,
|  | unsigned short | port,
|  | int | payload_size,
|  | bool | eof = `false`,
|  | bool | wait = `false`
| ) |  |